org.eclipse.ease.modules.unittest.reporters

## Interface IReportGenerator

All Known Implementing Classes:
  JUnitReportGenerator

    public interface IReportGenerator

Interface for a test report generator.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `createReport(String title, String description, TestSuite testSuite)` Creates report data as string.
`String` `getDefaultExtension()` Returns the default file extension to be used for this kind of report without the preceeding dot (eg "txt").

### Method Detail

#### createReport

    String createReport(String title,
                        String description,
                        TestSuite testSuite)

Creates report data as string.

Parameters:
  `title` - report title
  `description` - generic description
  `testSuite` - testuite data to be exported
Returns:
  String containing full test report

#### getDefaultExtension

    String getDefaultExtension()

Returns the default file extension to be used for this kind of report without the preceeding dot (eg "txt").

Returns:
  file extension to be used